Index: trunk/doc/Flair/classes.html
===================================================================
--- trunk/doc/Flair/classes.html	(revision 26)
+++ trunk/doc/Flair/classes.html	(revision 27)
@@ -115,18 +115,18 @@
 <table style="margin: 10px; white-space: nowrap;" align="center" width="95%" border="0" cellspacing="0" cellpadding="0">
 <tr><td rowspan="2" valign="bottom"><a name="letter_A"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;A&#160;&#160;</div></td></tr></table>
-</td><td valign="top"><a class="el" href="classflair_1_1filter_1_1_euler_derivative.html">EulerDerivative</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1gui_1_1_map.html">Map</a> (<a class="el" href="namespaceflair_1_1gui.html">flair::gui</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1gui_1_1_send_data.html">SendData</a> (<a class="el" href="namespaceflair_1_1gui.html">flair::gui</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_U"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;U&#160;&#160;</div></td></tr></table>
+</td><td rowspan="2" valign="bottom"><a name="letter_F"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;F&#160;&#160;</div></td></tr></table>
+</td><td valign="top"><a class="el" href="classflair_1_1gui_1_1_map.html">Map</a> (<a class="el" href="namespaceflair_1_1gui.html">flair::gui</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1gui_1_1_send_data.html">SendData</a> (<a class="el" href="namespaceflair_1_1gui.html">flair::gui</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_U"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;U&#160;&#160;</div></td></tr></table>
 </td></tr>
-<tr><td rowspan="2" valign="bottom"><a name="letter_F"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;F&#160;&#160;</div></td></tr></table>
-</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_mb800.html">Mb800</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_sensor_g_l.html">SensorGL</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td></tr>
-<tr><td valign="top"><a class="el" href="classflair_1_1actuator_1_1_afro_bldc.html">AfroBldc</a> (<a class="el" href="namespaceflair_1_1actuator.html">flair::actuator</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1simulator_1_1_mesh_scene_node.html">MeshSceneNode</a> (<a class="el" href="namespaceflair_1_1simulator.html">flair::simulator</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_serial_port.html">SerialPort</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1meta_1_1_uav.html">Uav</a> (<a class="el" href="namespaceflair_1_1meta.html">flair::meta</a>)&#160;&#160;&#160;</td></tr>
-<tr><td valign="top"><a class="el" href="classflair_1_1filter_1_1_ahrs.html">Ahrs</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_flash_led_message.html">FlashLedMessage</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_message.html">Message</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_shared_mem.html">SharedMem</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html">UavMultiplex</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td></tr>
-<tr><td valign="top"><a class="el" href="classflair_1_1filter_1_1_ahrs_complementary_filter.html">AhrsComplementaryFilter</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_float_type.html">FloatType</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1meta_1_1_meta_dual_shock3.html">MetaDualShock3</a> (<a class="el" href="namespaceflair_1_1meta.html">flair::meta</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_signed_integer_type.html">SignedIntegerType</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html">UavStateMachine</a> (<a class="el" href="namespaceflair_1_1meta.html">flair::meta</a>)&#160;&#160;&#160;</td></tr>
-<tr><td valign="top"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html">AhrsData</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">FrameworkManager</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> (<a class="el" href="namespaceflair_1_1meta.html">flair::meta</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1filter_1_1_simu_ahrs.html">SimuAhrs</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_udt_socket.html">UdtSocket</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
-<tr><td valign="top"><a class="el" href="classflair_1_1filter_1_1_ahrs_kalman.html">AhrsKalman</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_G"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;G&#160;&#160;</div></td></tr></table>
-</td><td valign="top"><a class="el" href="classflair_1_1meta_1_1_meta_vrpn_object.html">MetaVrpnObject</a> (<a class="el" href="namespaceflair_1_1meta.html">flair::meta</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">SimuBldc</a> (<a class="el" href="namespaceflair_1_1actuator.html">flair::actuator</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_unix___i2c_port.html">Unix_I2cPort</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
+<tr><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_mb800.html">Mb800</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_sensor_g_l.html">SensorGL</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td></tr>
+<tr><td valign="top"><a class="el" href="classflair_1_1actuator_1_1_afro_bldc.html">AfroBldc</a> (<a class="el" href="namespaceflair_1_1actuator.html">flair::actuator</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_flash_led_message.html">FlashLedMessage</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1simulator_1_1_mesh_scene_node.html">MeshSceneNode</a> (<a class="el" href="namespaceflair_1_1simulator.html">flair::simulator</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_serial_port.html">SerialPort</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1meta_1_1_uav.html">Uav</a> (<a class="el" href="namespaceflair_1_1meta.html">flair::meta</a>)&#160;&#160;&#160;</td></tr>
+<tr><td valign="top"><a class="el" href="classflair_1_1filter_1_1_ahrs.html">Ahrs</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_float_type.html">FloatType</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_message.html">Message</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_shared_mem.html">SharedMem</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1filter_1_1_uav_multiplex.html">UavMultiplex</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td></tr>
+<tr><td valign="top"><a class="el" href="classflair_1_1filter_1_1_ahrs_complementary_filter.html">AhrsComplementaryFilter</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_framework_manager.html">FrameworkManager</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1meta_1_1_meta_dual_shock3.html">MetaDualShock3</a> (<a class="el" href="namespaceflair_1_1meta.html">flair::meta</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_signed_integer_type.html">SignedIntegerType</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html">UavStateMachine</a> (<a class="el" href="namespaceflair_1_1meta.html">flair::meta</a>)&#160;&#160;&#160;</td></tr>
+<tr><td valign="top"><a class="el" href="classflair_1_1core_1_1_ahrs_data.html">AhrsData</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_G"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;G&#160;&#160;</div></td></tr></table>
+</td><td valign="top"><a class="el" href="classflair_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> (<a class="el" href="namespaceflair_1_1meta.html">flair::meta</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1filter_1_1_simu_ahrs.html">SimuAhrs</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_udt_socket.html">UdtSocket</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
+<tr><td valign="top"><a class="el" href="classflair_1_1filter_1_1_ahrs_kalman.html">AhrsKalman</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1meta_1_1_meta_vrpn_object.html">MetaVrpnObject</a> (<a class="el" href="namespaceflair_1_1meta.html">flair::meta</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">SimuBldc</a> (<a class="el" href="namespaceflair_1_1actuator.html">flair::actuator</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_unix___i2c_port.html">Unix_I2cPort</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
 <tr><td rowspan="2" valign="bottom"><a name="letter_B"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;B&#160;&#160;</div></td></tr></table>
-</td><td valign="top"><a class="el" href="classflair_1_1simulator_1_1_model.html">Model</a> (<a class="el" href="namespaceflair_1_1simulator.html">flair::simulator</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_simu_camera.html">SimuCamera</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_unix___serial_port.html">Unix_SerialPort</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
-<tr><td valign="top"><a class="el" href="classflair_1_1core_1_1_geo_coordinate.html">GeoCoordinate</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_mutex.html">Mutex</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_simu_camera_g_l.html">SimuCameraGL</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html">UsRangeFinder</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td></tr>
-<tr><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_battery_monitor.html">BatteryMonitor</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_gps.html">Gps</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_N"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;N&#160;&#160;</div></td></tr></table>
+</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_geo_coordinate.html">GeoCoordinate</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1simulator_1_1_model.html">Model</a> (<a class="el" href="namespaceflair_1_1simulator.html">flair::simulator</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_simu_camera.html">SimuCamera</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_unix___serial_port.html">Unix_SerialPort</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
+<tr><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_gps.html">Gps</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_mutex.html">Mutex</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_simu_camera_g_l.html">SimuCameraGL</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_us_range_finder.html">UsRangeFinder</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td></tr>
+<tr><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_battery_monitor.html">BatteryMonitor</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_gps_data.html">GpsData</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_N"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;N&#160;&#160;</div></td></tr></table>
 </td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_simu_gps.html">SimuGps</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_V"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;V&#160;&#160;</div></td></tr></table>
 </td></tr>
@@ -170,13 +170,13 @@
 <tr><td valign="top"><a class="el" href="classflair_1_1core_1_1_dummy_type.html">DummyType</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_laser_range_finder.html">LaserRangeFinder</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_r_t_d_m___i2c_port.html">RTDM_I2cPort</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_geo_coordinate_1_1_type.html">GeoCoordinate::Type</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html">cvmatrix_descriptor</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
 <tr><td rowspan="2" valign="bottom"><a name="letter_E"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;E&#160;&#160;</div></td></tr></table>
-</td><td valign="top"><a class="el" href="classflair_1_1gui_1_1_layout.html">Layout</a> (<a class="el" href="namespaceflair_1_1gui.html">flair::gui</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html">RTDM_SerialPort</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1cvmatrix_1_1_type.html">cvmatrix::Type</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_i"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;i&#160;&#160;</div></td></tr></table>
+</td><td valign="top"><a class="el" href="classflair_1_1gui_1_1_layout.html">Layout</a> (<a class="el" href="namespaceflair_1_1gui.html">flair::gui</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_r_t_d_m___serial_port.html">RTDM_SerialPort</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_ahrs_data_1_1_type.html">AhrsData::Type</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_i"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;i&#160;&#160;</div></td></tr></table>
 </td></tr>
-<tr><td valign="top"><a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> (<a class="el" href="namespaceflair_1_1gui.html">flair::gui</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_rumble_message.html">RumbleMessage</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html">cvimage::Type</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
+<tr><td valign="top"><a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> (<a class="el" href="namespaceflair_1_1gui.html">flair::gui</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_rumble_message.html">RumbleMessage</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1cvmatrix_1_1_type.html">cvmatrix::Type</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
 <tr><td valign="top"><a class="el" href="classflair_1_1sensor_1_1_emulated_controller.html">EmulatedController</a> (<a class="el" href="namespaceflair_1_1sensor.html">flair::sensor</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1filter_1_1_low_pass_filter.html">LowPassFilter</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_S"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;S&#160;&#160;</div></td></tr></table>
-</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_ahrs_data_1_1_type.html">AhrsData::Type</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
+</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_imu_data_1_1_type.html">ImuData::Type</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
 <tr><td valign="top"><a class="el" href="classflair_1_1core_1_1_euler.html">Euler</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_M"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;M&#160;&#160;</div></td></tr></table>
-</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_imu_data_1_1_type.html">ImuData::Type</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_s"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;s&#160;&#160;</div></td></tr></table>
+</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_gps_data_1_1_type.html">GpsData::Type</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td rowspan="2" valign="bottom"><a name="letter_s"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;s&#160;&#160;</div></td></tr></table>
 </td></tr>
-<tr><td></td><td valign="top"><a class="el" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td></td></tr>
+<tr><td valign="top"><a class="el" href="classflair_1_1filter_1_1_euler_derivative.html">EulerDerivative</a> (<a class="el" href="namespaceflair_1_1filter.html">flair::filter</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td><td valign="top"><a class="el" href="classflair_1_1core_1_1cvimage_1_1_type.html">cvimage::Type</a> (<a class="el" href="namespaceflair_1_1core.html">flair::core</a>)&#160;&#160;&#160;</td></tr>
 <tr><td></td><td valign="top"><a class="el" href="classflair_1_1simulator_1_1_man.html">Man</a> (<a class="el" href="namespaceflair_1_1simulator.html">flair::simulator</a>)&#160;&#160;&#160;</td><td></td><td></td><td valign="top"><a class="el" href="structflair_1_1simulator_1_1_model_1_1simu__state.html">Model::simu_state</a> (<a class="el" href="namespaceflair_1_1simulator.html">flair::simulator</a>)&#160;&#160;&#160;</td></tr>
 <tr><td></td><td></td><td></td><td></td><td></td></tr>
@@ -188,5 +188,5 @@
 <div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
   <ul>
-    <li class="footer">Generated on Fri Jul 1 2016 07:23:46 for Flair by
+    <li class="footer">Generated on Mon Jul 18 2016 06:45:47 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>