Index: trunk/doc/Flair/io__data_8h_source.html
===================================================================
--- trunk/doc/Flair/io__data_8h_source.html	(revision 28)
+++ trunk/doc/Flair/io__data_8h_source.html	(revision 32)
@@ -160,47 +160,64 @@
 <div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">extern</span> <a class="code" href="classflair_1_1core_1_1_signed_integer_type.html">SignedIntegerType</a> Int16Type;</div>
 <div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
-<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_float_type.html">   60</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_float_type.html">FloatType</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> {</div>
+<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_unsigned_integer_type.html">   60</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_unsigned_integer_type.html">UnsignedIntegerType</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> {</div>
 <div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">public</span>:</div>
-<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <a class="code" href="classflair_1_1core_1_1_float_type.html">FloatType</a>() : <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a>(4) {}</div>
-<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  std::string GetDescription()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="stringliteral">&quot;float&quot;</span>; };</div>
-<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;};</div>
-<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keyword">extern</span> <a class="code" href="classflair_1_1core_1_1_float_type.html">FloatType</a> floatType;</div>
-<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
-<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1io__data.html">   77</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_mutex.html">Mutex</a> {</div>
-<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a>;</div>
-<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keyword">friend</span> class ::IODevice_impl;</div>
-<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keyword">friend</span> class ::io_data_impl;</div>
-<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
-<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="keyword">public</span>:</div>
-<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <a class="code" href="classflair_1_1core_1_1io__data.html#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">io_data</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name, <span class="keywordtype">int</span> n);</div>
-<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
-<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  <span class="keyword">virtual</span> <a class="code" href="classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a">~io_data</a>();</div>
-<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div>
-<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10">SetDataTime</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time);</div>
-<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
-<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> <a class="code" href="classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599">DataTime</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
-<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;  <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> *<a class="code" href="classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47">Prev</a>(<span class="keywordtype">int</span> n) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div>
-<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;  <span class="keyword">virtual</span> <a class="code" href="classflair_1_1core_1_1_data_type.html">DataType</a> <span class="keyword">const</span> &amp;GetDataType() <span class="keyword">const</span> = 0;</div>
-<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div>
-<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="keyword">protected</span>:</div>
-<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d">AppendLogDescription</a>(std::string description, <a class="code" href="classflair_1_1core_1_1_data_type.html">DataType</a> <span class="keyword">const</span> &amp;datatype);</div>
+<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <a class="code" href="classflair_1_1core_1_1_unsigned_integer_type.html">UnsignedIntegerType</a>(<span class="keywordtype">size_t</span> sizeInBits) : <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a>(sizeInBits / 8) {}</div>
+<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  std::string GetDescription()<span class="keyword"> const </span>{</div>
+<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;uint&quot;</span> + std::to_string(GetSize() * 8) + <span class="stringliteral">&quot;_t&quot;</span>;</div>
+<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  };</div>
+<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;};</div>
+<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">extern</span> <a class="code" href="classflair_1_1core_1_1_unsigned_integer_type.html">UnsignedIntegerType</a> UInt8Type;</div>
+<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keyword">extern</span> <a class="code" href="classflair_1_1core_1_1_unsigned_integer_type.html">UnsignedIntegerType</a> UInt16Type;</div>
+<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
+<div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_float_type.html">   70</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_float_type.html">FloatType</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> {</div>
+<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="keyword">public</span>:</div>
+<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <a class="code" href="classflair_1_1core_1_1_float_type.html">FloatType</a>() : <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a>(4) {}</div>
+<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  std::string GetDescription()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="stringliteral">&quot;float&quot;</span>; };</div>
+<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;};</div>
+<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keyword">extern</span> <a class="code" href="classflair_1_1core_1_1_float_type.html">FloatType</a> floatType;</div>
+<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
+<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_double_type.html">   77</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_double_type.html">DoubleType</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> {</div>
+<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keyword">public</span>:</div>
+<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <a class="code" href="classflair_1_1core_1_1_double_type.html">DoubleType</a>() : <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a>(8) {}</div>
+<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  std::string GetDescription()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="stringliteral">&quot;double&quot;</span>; };</div>
+<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;};</div>
+<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="keyword">extern</span> <a class="code" href="classflair_1_1core_1_1_double_type.html">DoubleType</a> doubleType;</div>
+<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
+<div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1io__data.html">   94</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_mutex.html">Mutex</a> {</div>
+<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a>;</div>
+<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="keyword">friend</span> class ::IODevice_impl;</div>
+<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  <span class="keyword">friend</span> class ::io_data_impl;</div>
+<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
+<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="keyword">public</span>:</div>
+<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <a class="code" href="classflair_1_1core_1_1io__data.html#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">io_data</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name, <span class="keywordtype">int</span> n);</div>
+<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
+<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  <span class="keyword">virtual</span> <a class="code" href="classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a">~io_data</a>();</div>
+<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div>
+<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10">SetDataTime</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time);</div>
+<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div>
+<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  <a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> <a class="code" href="classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599">DataTime</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div>
+<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;  <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> *<a class="code" href="classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47">Prev</a>(<span class="keywordtype">int</span> n) <span class="keyword">const</span>;</div>
 <div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div>
-<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">SetPtrToCircle</a>(<span class="keywordtype">void</span> **ptr);</div>
-<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div>
-<div class="line"><a name="l00157"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">  157</a></span>&#160;  <a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> *<a class="code" href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">prev</a>;</div>
-<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div>
-<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="keyword">private</span>:</div>
-<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span> *dst) <span class="keyword">const</span> = 0;</div>
-<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div>
-<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;  io_data_impl *pimpl_;</div>
-<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;};</div>
-<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div>
-<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;} <span class="comment">// end namespace core</span></div>
-<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;} <span class="comment">// end namespace flair</span></div>
-<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div>
-<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;<span class="preprocessor">#endif // IO_DATA_H</span></div>
-<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:77</div></div>
+<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  <span class="keyword">virtual</span> <a class="code" href="classflair_1_1core_1_1_data_type.html">DataType</a> <span class="keyword">const</span> &amp;GetDataType() <span class="keyword">const</span> = 0;</div>
+<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div>
+<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="keyword">protected</span>:</div>
+<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d">AppendLogDescription</a>(std::string description, <a class="code" href="classflair_1_1core_1_1_data_type.html">DataType</a> <span class="keyword">const</span> &amp;datatype);</div>
+<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div>
+<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">SetPtrToCircle</a>(<span class="keywordtype">void</span> **ptr);</div>
+<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div>
+<div class="line"><a name="l00174"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">  174</a></span>&#160;  <a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> *<a class="code" href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">prev</a>;</div>
+<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div>
+<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="keyword">private</span>:</div>
+<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span> *dst) <span class="keyword">const</span> = 0;</div>
+<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div>
+<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;  io_data_impl *pimpl_;</div>
+<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;};</div>
+<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div>
+<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;} <span class="comment">// end namespace core</span></div>
+<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;} <span class="comment">// end namespace flair</span></div>
+<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div>
+<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;<span class="preprocessor">#endif // IO_DATA_H</span></div>
+<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
 <div class="ttc" id="classflair_1_1core_1_1io__data_html_a6337ffd87caf22391c4484da3fc13d47"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47">flair::core::io_data::Prev</a></div><div class="ttdeci">const io_data * Prev(int n) const </div><div class="ttdoc">Previous data. </div></div>
 <div class="ttc" id="classflair_1_1core_1_1_data_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_data_type.html">flair::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:26</div></div>
@@ -212,13 +229,15 @@
 <div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
 <div class="ttc" id="classflair_1_1core_1_1io__data_html_aa8b8c20d94aaf6b9eb4e21e2b95d51b2"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">flair::core::io_data::SetPtrToCircle</a></div><div class="ttdeci">void SetPtrToCircle(void **ptr)</div><div class="ttdoc">Set the datas to circle. </div></div>
-<div class="ttc" id="classflair_1_1core_1_1io__data_html_a58e1a3f2fbf1655a047268375ba2202e"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">flair::core::io_data::prev</a></div><div class="ttdeci">io_data * prev</div><div class="ttdoc">Pointer to previous data. </div><div class="ttdef"><b>Definition:</b> io_data.h:157</div></div>
+<div class="ttc" id="classflair_1_1core_1_1io__data_html_a58e1a3f2fbf1655a047268375ba2202e"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">flair::core::io_data::prev</a></div><div class="ttdeci">io_data * prev</div><div class="ttdoc">Pointer to previous data. </div><div class="ttdef"><b>Definition:</b> io_data.h:174</div></div>
 <div class="ttc" id="classflair_1_1core_1_1_scalar_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_scalar_type.html">flair::core::ScalarType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:40</div></div>
+<div class="ttc" id="classflair_1_1core_1_1_double_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_double_type.html">flair::core::DoubleType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:77</div></div>
 <div class="ttc" id="classflair_1_1core_1_1_dummy_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_dummy_type.html">flair::core::DummyType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:33</div></div>
 <div class="ttc" id="classflair_1_1core_1_1io__data_html_acae3fb98b266a788b12083c7eec2be10"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10">flair::core::io_data::SetDataTime</a></div><div class="ttdeci">void SetDataTime(Time time)</div><div class="ttdoc">Set data time. </div></div>
+<div class="ttc" id="classflair_1_1core_1_1_unsigned_integer_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_unsigned_integer_type.html">flair::core::UnsignedIntegerType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:60</div></div>
 <div class="ttc" id="_mutex_8h_html"><div class="ttname"><a href="_mutex_8h.html">Mutex.h</a></div><div class="ttdoc">Class defining a mutex. </div></div>
 <div class="ttc" id="classflair_1_1core_1_1io__data_html_a8f1ba8c576e0a94bb27bdf1b6d1f7d21"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">flair::core::io_data::io_data</a></div><div class="ttdeci">io_data(const Object *parent, std::string name, int n)</div><div class="ttdoc">Constructor. </div></div>
 <div class="ttc" id="classflair_1_1core_1_1_signed_integer_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_signed_integer_type.html">flair::core::SignedIntegerType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:50</div></div>
 <div class="ttc" id="classflair_1_1core_1_1io__data_html_acc7fc08f29ba17fed5b94150826fae2d"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d">flair::core::io_data::AppendLogDescription</a></div><div class="ttdeci">void AppendLogDescription(std::string description, DataType const &amp;datatype)</div><div class="ttdoc">Specify the description of the reimplemented class data&#39;s. </div></div>
-<div class="ttc" id="classflair_1_1core_1_1_float_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_float_type.html">flair::core::FloatType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:60</div></div>
+<div class="ttc" id="classflair_1_1core_1_1_float_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_float_type.html">flair::core::FloatType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:70</div></div>
 <div class="ttc" id="classflair_1_1core_1_1io__data_html_a63b4bbba0120e45d69d616f7b7cb021a"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a">flair::core::io_data::~io_data</a></div><div class="ttdeci">virtual ~io_data()</div><div class="ttdoc">Destructor. </div></div>
 </div><!-- fragment --></div><!-- contents -->
@@ -228,5 +247,5 @@
   <ul>
     <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="io__data_8h.html">io_data.h</a></li>
-    <li class="footer">Generated on Thu Jul 21 2016 13:33:02 for Flair by
+    <li class="footer">Generated on Wed Jul 27 2016 06:38:45 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>