Index: trunk/doc/Flair/_framework_manager_8h_source.html
===================================================================
--- trunk/doc/Flair/_framework_manager_8h_source.html	(revision 32)
+++ trunk/doc/Flair/_framework_manager_8h_source.html	(revision 33)
@@ -121,8 +121,8 @@
 <div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
 <div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
-<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>gui {</div>
-<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>TabWidget;</div>
-<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>SendData;</div>
-<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div>
+<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  <span class="keyword">namespace </span>gui {</div>
+<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">class </span>TabWidget;</div>
+<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">class </span>SendData;</div>
+<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  }</div>
 <div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div>
 <div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
@@ -136,49 +136,49 @@
 <div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <a class="code" href="classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4">~FrameworkManager</a>();</div>
 <div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
-<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#ab2a2ea16b7d5558ac24c24476eb5116f">SetupConnection</a>(std::string address, uint16_t port,</div>
-<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;                       <span class="keywordtype">size_t</span> rcv_buf_size = 10000);</div>
-<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
-<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85">SetupUserInterface</a>(std::string xml_file);</div>
-<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
-<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *<a class="code" href="classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b">GetTabWidget</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
-<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#ac0b1886b695379518bfeff9142d32405">SetupLogger</a>(std::string log_path);</div>
-<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div>
-<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6">AddDeviceToLog</a>(<a class="code" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device);</div>
-<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
-<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae">StartLog</a>(<span class="keywordtype">void</span>);</div>
-<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div>
-<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a">StopLog</a>(<span class="keywordtype">void</span>);</div>
-<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div>
-<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4">IsLogging</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div>
-<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c">UpdateSendData</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_send_data.html">gui::SendData</a> *obj);</div>
-<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div>
-<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#aa1b6474b3972665d20c706ff89965271">BlockCom</a>(<span class="keywordtype">void</span>);</div>
-<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div>
-<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a311fa9be9c08b037cae24061e85307d1">UnBlockCom</a>(<span class="keywordtype">void</span>);</div>
-<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div>
-<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1">ConnectionLost</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div>
-<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd">DisableErrorsDisplay</a>(<span class="keywordtype">bool</span> value);</div>
-<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div>
-<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42">IsDisplayingErrors</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div>
-<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;<span class="keyword">private</span>:</div>
-<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;  <span class="keyword">class </span>FrameworkManager_impl *pimpl_;</div>
-<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;};</div>
-<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div>
-<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;<a class="code" href="classflair_1_1core_1_1_framework_manager.html">FrameworkManager</a> *<a class="code" href="namespaceflair_1_1core.html#ace74842bdd3bf9d982724d868872eec2">getFrameworkManager</a>(<span class="keywordtype">void</span>);</div>
-<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div>
-<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespaceflair_1_1core.html#a4783118d327bc3461f35818366dbd458">IsBigEndian</a>(<span class="keywordtype">void</span>);</div>
-<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div>
-<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;} <span class="comment">// end namespace core</span></div>
-<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;} <span class="comment">// end namespace flair</span></div>
+<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a536f78b53e6f4890120b1312aa3c7b88">SetupConnection</a>(std::string address, uint16_t port,<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> watchdogTimeout=(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a>)1000000000,</div>
+<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;                       <span class="keywordtype">size_t</span> rcv_buf_size = 10000);</div>
+<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
+<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85">SetupUserInterface</a>(std::string xml_file);</div>
+<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
+<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *<a class="code" href="classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b">GetTabWidget</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
+<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#ac0b1886b695379518bfeff9142d32405">SetupLogger</a>(std::string log_path);</div>
+<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div>
+<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6">AddDeviceToLog</a>(<a class="code" href="classflair_1_1core_1_1_i_o_device.html">IODevice</a> *device);</div>
+<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div>
+<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a1cbc5e8296c0f36551210e13251516ae">StartLog</a>(<span class="keywordtype">void</span>);</div>
+<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div>
+<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a">StopLog</a>(<span class="keywordtype">void</span>);</div>
+<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div>
+<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4">IsLogging</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div>
+<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a6ed9bdb73288176aa58269f8a520d58c">UpdateSendData</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_send_data.html">gui::SendData</a> *obj);</div>
+<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div>
+<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#aa1b6474b3972665d20c706ff89965271">BlockCom</a>(<span class="keywordtype">void</span>);</div>
+<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div>
+<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a311fa9be9c08b037cae24061e85307d1">UnBlockCom</a>(<span class="keywordtype">void</span>);</div>
+<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;</div>
+<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a845ac3ad0cbc95d71e50277d9e8093a1">ConnectionLost</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div>
+<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd">DisableErrorsDisplay</a>(<span class="keywordtype">bool</span> value);</div>
+<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;</div>
+<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42">IsDisplayingErrors</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div>
+<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;<span class="keyword">private</span>:</div>
+<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;  <span class="keyword">class </span>FrameworkManager_impl *pimpl_;</div>
+<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;};</div>
+<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;</div>
+<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;<a class="code" href="classflair_1_1core_1_1_framework_manager.html">FrameworkManager</a> *<a class="code" href="namespaceflair_1_1core.html#ace74842bdd3bf9d982724d868872eec2">getFrameworkManager</a>(<span class="keywordtype">void</span>);</div>
+<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div>
+<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="namespaceflair_1_1core.html#a4783118d327bc3461f35818366dbd458">IsBigEndian</a>(<span class="keywordtype">void</span>);</div>
 <div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div>
-<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;<span class="preprocessor">#endif // FRAMEWORKMANAGER_H</span></div>
+<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;} <span class="comment">// end namespace core</span></div>
+<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;} <span class="comment">// end namespace flair</span></div>
+<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div>
+<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;<span class="preprocessor">#endif // FRAMEWORKMANAGER_H</span></div>
 <div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:77</div></div>
 <div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:44</div></div>
 <div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
-<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_ab2a2ea16b7d5558ac24c24476eb5116f"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#ab2a2ea16b7d5558ac24c24476eb5116f">flair::core::FrameworkManager::SetupConnection</a></div><div class="ttdeci">void SetupConnection(std::string address, uint16_t port, size_t rcv_buf_size=10000)</div><div class="ttdoc">Setup the connection with ground station. </div></div>
+<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
 <div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a477b3cee8fa2c2338896006faaeefe42"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42">flair::core::FrameworkManager::IsDisplayingErrors</a></div><div class="ttdeci">bool IsDisplayingErrors(void) const </div><div class="ttdoc">Is displaying errors? </div></div>
 <div class="ttc" id="classflair_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html">flair::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:45</div></div>
@@ -191,4 +191,5 @@
 <div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a978aae4beac0c20dbbff73369ab6e31a"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a978aae4beac0c20dbbff73369ab6e31a">flair::core::FrameworkManager::StopLog</a></div><div class="ttdeci">void StopLog(void)</div><div class="ttdoc">Stop logging. </div></div>
 <div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a9f2750ce913b492206761340c666bbb6"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6">flair::core::FrameworkManager::AddDeviceToLog</a></div><div class="ttdeci">void AddDeviceToLog(IODevice *device)</div><div class="ttdoc">Add log element. </div></div>
+<div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_a536f78b53e6f4890120b1312aa3c7b88"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#a536f78b53e6f4890120b1312aa3c7b88">flair::core::FrameworkManager::SetupConnection</a></div><div class="ttdeci">void SetupConnection(std::string address, uint16_t port, Time watchdogTimeout=(Time) 1000000000, size_t rcv_buf_size=10000)</div><div class="ttdoc">Setup the connection with ground station. </div></div>
 <div class="ttc" id="namespaceflair_1_1core_html_ace74842bdd3bf9d982724d868872eec2"><div class="ttname"><a href="namespaceflair_1_1core.html#ace74842bdd3bf9d982724d868872eec2">flair::core::getFrameworkManager</a></div><div class="ttdeci">FrameworkManager * getFrameworkManager(void)</div><div class="ttdoc">get FrameworkManager </div></div>
 <div class="ttc" id="classflair_1_1core_1_1_framework_manager_html_ac0b1886b695379518bfeff9142d32405"><div class="ttname"><a href="classflair_1_1core_1_1_framework_manager.html#ac0b1886b695379518bfeff9142d32405">flair::core::FrameworkManager::SetupLogger</a></div><div class="ttdeci">void SetupLogger(std::string log_path)</div><div class="ttdoc">Logger setup. </div></div>
@@ -208,5 +209,5 @@
   <ul>
     <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_framework_manager_8h.html">FrameworkManager.h</a></li>
-    <li class="footer">Generated on Wed Jul 27 2016 06:38:45 for Flair by
+    <li class="footer">Generated on Mon Aug 29 2016 15:26:01 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>