Index: trunk/doc/Flair/search/all_15.js
===================================================================
--- trunk/doc/Flair/search/all_15.js	(revision 34)
+++ trunk/doc/Flair/search/all_15.js	(revision 35)
@@ -12,5 +12,5 @@
   ['validator',['validator',['http://qt-project.org/doc/qt-4.8/qcombobox.html#validator',0,'QComboBox::validator()'],['http://qt-project.org/doc/qt-4.8/q3combobox.html#validator',0,'Q3ComboBox::validator()'],['http://qt-project.org/doc/qt-4.8/qlineedit.html#validator',0,'QLineEdit::validator()']]],
   ['validchunk',['validChunk',['http://qt-project.org/doc/qt-4.8/q3canvas.html#validChunk',0,'Q3Canvas::validChunk(int x, int y) const'],['http://qt-project.org/doc/qt-4.8/q3canvas.html#validChunk-2',0,'Q3Canvas::validChunk(const QPoint &amp;p) const']]],
-  ['value',['Value',['../classflair_1_1sensor_1_1_laser_range_finder.html#a25d3123e9dad148d90c67277a27d62b3',1,'flair::sensor::LaserRangeFinder::Value()'],['../classflair_1_1sensor_1_1_us_range_finder.html#a60ae45b1dda58e807c07da6754a30683',1,'flair::sensor::UsRangeFinder::Value()'],['../classflair_1_1gui_1_1_check_box.html#a217da5fe57fdb820430b61ed30c6aa18',1,'flair::gui::CheckBox::Value()'],['../classflair_1_1core_1_1cvmatrix.html#aa3a8b1722e62c8929a6533ec4afb9f2e',1,'flair::core::cvmatrix::Value()'],['../classflair_1_1gui_1_1_double_spin_box.html#acdac03928a1c2ac5a2c6dad640ba1f6e',1,'flair::gui::DoubleSpinBox::Value()'],['../classflair_1_1gui_1_1_spin_box.html#a782c198e37c84652f7b001847a360d2c',1,'flair::gui::SpinBox::Value()'],['../classflair_1_1gui_1_1_vector3_d_spin_box.html#a46615af09df922bb839f043542c4693c',1,'flair::gui::Vector3DSpinBox::Value()'],['http://qt-project.org/doc/qt-4.8/qlcdnumber.html#value-prop',0,'QLCDNumber::value()'],['http://qt-project.org/doc/qt-4.8/qspinbox.html#value-prop',0,'QSpinBox::value()'],['http://qt-project.org/doc/qt-4.8/qdoublespinbox.html#value-prop',0,'QDoubleSpinBox::value()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#value-prop',0,'QProgressBar::value()'],['http://qt-project.org/doc/qt-4.8/qabstractslider.html#value-prop',0,'QAbstractSlider::value()'],['http://qt-project.org/doc/qt-4.8/qprogressdialog.html#value-prop',0,'QProgressDialog::value()'],['http://qt-project.org/doc/qt-4.8/qhash.html#value',0,'QHash::value(const Key &amp;key) const'],['http://qt-project.org/doc/qt-4.8/qhash.html#value-2',0,'QHash::value(const Key &amp;key, const T &amp;defaultValue) const'],['http://qt-project.org/doc/qt-4.8/qhash-iterator.html#value',0,'QHash::iterator::value()'],['http://qt-project.org/doc/qt-4.8/qhash-const-iterator.html#value',0,'QHash::const_iterator::value()'],['http://qt-project.org/doc/qt-4.8/q3httpheader.html#value',0,'Q3HttpHeader::value()'],['http://qt-project.org/doc/qt-4.8/qmutablesetiterator.html#value',0,'QMutableSetIterator::value()'],['http://qt-project.org/doc/qt-4.8/q3signal.html#value',0,'Q3Signal::value()'],['http://qt-project.org/doc/qt-4.8/qhttpheader.html#value',0,'QHttpHeader::value()'],['http://qt-project.org/doc/qt-4.8/qaccessibleevent.html#value',0,'QAccessibleEvent::value()'],['http://qt-project.org/doc/qt-4.8/qlcdnumber.html#value-prop',0,'QLCDNumber::value()'],['http://qt-project.org/doc/qt-4.8/qprocessenvironment.html#value',0,'QProcessEnvironment::value()'],['http://qt-project.org/doc/qt-4.8/qlist.html#value',0,'QList::value(int i) const'],['http://qt-project.org/doc/qt-4.8/qlist.html#value-2',0,'QList::value(int i, const T &amp;defaultValue) const'],['http://qt-project.org/doc/qt-4.8/qdomattr.html#value',0,'QDomAttr::value()'],['http://qt-project.org/doc/qt-4.8/qspinbox.html#value-prop',0,'QSpinBox::value()'],['http://qt-project.org/doc/qt-4.8/qdoublespinbox.html#value-prop',0,'QDoubleSpinBox::value()'],['http://qt-project.org/doc/qt-4.8/qtextlength.html#value',0,'QTextLength::value()'],['http://qt-project.org/doc/qt-4.8/qxmlattributes.html#value',0,'QXmlAttributes::value(int index) const'],['http://qt-project.org/doc/qt-4.8/qxmlattributes.html#value-2',0,'QXmlAttributes::value(const QString &amp;qName) const'],['http://qt-project.org/doc/qt-4.8/qxmlattributes.html#value-3',0,'QXmlAttributes::value(const QLatin1String &amp;qName) const'],['http://qt-project.org/doc/qt-4.8/qxmlattributes.html#value-4',0,'QXmlAttributes::value(const QString &amp;uri, const QString &amp;localName) const'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#value-prop',0,'QProgressBar::value()'],['http://qt-project.org/doc/qt-4.8/q3rangecontrol.html#value',0,'Q3RangeControl::value()'],['http://qt-project.org/doc/qt-4.8/qsqlfield.html#value',0,'QSqlField::value()'],['http://qt-project.org/doc/qt-4.8/qabstractslider.html#value-prop',0,'QAbstractSlider::value()'],['http://qt-project.org/doc/qt-4.8/q3datatable.html#value',0,'Q3DataTable::value()'],['http://qt-project.org/doc/qt-4.8/qvarlengtharray.html#value',0,'QVarLengthArray::value(int i) const'],['http://qt-project.org/doc/qt-4.8/qvarlengtharray.html#value-2',0,'QVarLengthArray::value(int i, const T &amp;defaultValue) const'],['http://qt-project.org/doc/qt-4.8/qdbusreply.html#value',0,'QDBusReply::value()'],['http://qt-project.org/doc/qt-4.8/q3sqlcursor.html#value',0,'Q3SqlCursor::value(int i) const'],['http://qt-project.org/doc/qt-4.8/q3sqlcursor.html#value-2',0,'Q3SqlCursor::value(const QString &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qsqlrecord.html#value',0,'QSqlRecord::value(int index) const'],['http://qt-project.org/doc/qt-4.8/qsqlrecord.html#value-2',0,'QSqlRecord::value(const QString &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qvector.html#value',0,'QVector::value(int i) const'],['http://qt-project.org/doc/qt-4.8/qvector.html#value-2',0,'QVector::value(int i, const T &amp;defaultValue) const'],['http://qt-project.org/doc/qt-4.8/qscriptvalueiterator.html#value',0,'QScriptValueIterator::value()'],['http://qt-project.org/doc/qt-4.8/qdeclarativepropertymap.html#value',0,'QDeclarativePropertyMap::value()'],['http://qt-project.org/doc/qt-4.8/qcolor.html#value',0,'QColor::value()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattribute.html#value',0,'QXmlStreamAttribute::value()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattributes.html#value',0,'QXmlStreamAttributes::value(const QString &amp;namespaceUri, const QString &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattributes.html#value-2',0,'QXmlStreamAttributes::value(const QString &amp;namespaceUri, const QLatin1String &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattributes.html#value-3',0,'QXmlStreamAttributes::value(const QLatin1String &amp;namespaceUri, const QLatin1String &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattributes.html#value-4',0,'QXmlStreamAttributes::value(const QString &amp;qualifiedName) const'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattributes.html#value-5',0,'QXmlStreamAttributes::value(const QLatin1String &amp;qualifiedName) const'],['http://qt-project.org/doc/qt-4.8/qxmlstreamentitydeclaration.html#value',0,'QXmlStreamEntityDeclaration::value()'],['http://qt-project.org/doc/qt-4.8/qmetaenum.html#value',0,'QMetaEnum::value()'],['http://qt-project.org/doc/qt-4.8/qmetaclassinfo.html#value',0,'QMetaClassInfo::value()'],['http://qt-project.org/doc/qt-4.8/qsqlquery.html#value',0,'QSqlQuery::value()'],['http://qt-project.org/doc/qt-4.8/qsettings.html#value',0,'QSettings::value()'],['http://qt-project.org/doc/qt-4.8/qdbuspendingreply.html#value',0,'QDBusPendingReply::value()'],['http://qt-project.org/doc/qt-4.8/qmap.html#value',0,'QMap::value(const Key &amp;key) const'],['http://qt-project.org/doc/qt-4.8/qmap.html#value-2',0,'QMap::value(const Key &amp;key, const T &amp;defaultValue) const'],['http://qt-project.org/doc/qt-4.8/qmap-iterator.html#value',0,'QMap::iterator::value()'],['http://qt-project.org/doc/qt-4.8/qmap-const-iterator.html#value',0,'QMap::const_iterator::value()'],['http://qt-project.org/doc/qt-4.8/qvariant.html#value',0,'QVariant::value()'],['http://qt-project.org/doc/qt-4.8/qprogressdialog.html#value-prop',0,'QProgressDialog::value()'],['http://qt-project.org/doc/qt-4.8/qnetworkcookie.html#value',0,'QNetworkCookie::value()'],['http://qt-project.org/doc/qt-4.8/qmutablelinkedlistiterator.html#value-2',0,'QMutableLinkedListIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablelinkedlistiterator.html#value',0,'QMutableLinkedListIterator::value() const'],['http://qt-project.org/doc/qt-4.8/qmutablelistiterator.html#value-2',0,'QMutableListIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablelistiterator.html#value',0,'QMutableListIterator::value() const'],['http://qt-project.org/doc/qt-4.8/qmutablevectoriterator.html#value-2',0,'QMutableVectorIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablevectoriterator.html#value',0,'QMutableVectorIterator::value() const'],['http://qt-project.org/doc/qt-4.8/qhashiterator.html#value',0,'QHashIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmapiterator.html#value',0,'QMapIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablehashiterator.html#value-2',0,'QMutableHashIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablehashiterator.html#value',0,'QMutableHashIterator::value() const'],['http://qt-project.org/doc/qt-4.8/qmutablemapiterator.html#value-2',0,'QMutableMapIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablemapiterator.html#value',0,'QMutableMapIterator::value() const']]],
+  ['value',['value',['http://qt-project.org/doc/qt-4.8/qlcdnumber.html#value-prop',0,'QLCDNumber::value()'],['http://qt-project.org/doc/qt-4.8/qspinbox.html#value-prop',0,'QSpinBox::value()'],['http://qt-project.org/doc/qt-4.8/qdoublespinbox.html#value-prop',0,'QDoubleSpinBox::value()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#value-prop',0,'QProgressBar::value()'],['http://qt-project.org/doc/qt-4.8/qabstractslider.html#value-prop',0,'QAbstractSlider::value()'],['http://qt-project.org/doc/qt-4.8/qprogressdialog.html#value-prop',0,'QProgressDialog::value()'],['http://qt-project.org/doc/qt-4.8/qhash.html#value',0,'QHash::value(const Key &amp;key) const'],['http://qt-project.org/doc/qt-4.8/qhash.html#value-2',0,'QHash::value(const Key &amp;key, const T &amp;defaultValue) const'],['http://qt-project.org/doc/qt-4.8/qhash-iterator.html#value',0,'QHash::iterator::value()'],['http://qt-project.org/doc/qt-4.8/qhash-const-iterator.html#value',0,'QHash::const_iterator::value()'],['http://qt-project.org/doc/qt-4.8/q3httpheader.html#value',0,'Q3HttpHeader::value()'],['http://qt-project.org/doc/qt-4.8/qmutablesetiterator.html#value',0,'QMutableSetIterator::value()'],['http://qt-project.org/doc/qt-4.8/q3signal.html#value',0,'Q3Signal::value()'],['http://qt-project.org/doc/qt-4.8/qhttpheader.html#value',0,'QHttpHeader::value()'],['http://qt-project.org/doc/qt-4.8/qaccessibleevent.html#value',0,'QAccessibleEvent::value()'],['http://qt-project.org/doc/qt-4.8/qlcdnumber.html#value-prop',0,'QLCDNumber::value()'],['http://qt-project.org/doc/qt-4.8/qprocessenvironment.html#value',0,'QProcessEnvironment::value()'],['http://qt-project.org/doc/qt-4.8/qlist.html#value',0,'QList::value(int i) const'],['http://qt-project.org/doc/qt-4.8/qlist.html#value-2',0,'QList::value(int i, const T &amp;defaultValue) const'],['http://qt-project.org/doc/qt-4.8/qdomattr.html#value',0,'QDomAttr::value()'],['http://qt-project.org/doc/qt-4.8/qspinbox.html#value-prop',0,'QSpinBox::value()'],['http://qt-project.org/doc/qt-4.8/qdoublespinbox.html#value-prop',0,'QDoubleSpinBox::value()'],['http://qt-project.org/doc/qt-4.8/qtextlength.html#value',0,'QTextLength::value()'],['http://qt-project.org/doc/qt-4.8/qxmlattributes.html#value',0,'QXmlAttributes::value(int index) const'],['http://qt-project.org/doc/qt-4.8/qxmlattributes.html#value-2',0,'QXmlAttributes::value(const QString &amp;qName) const'],['http://qt-project.org/doc/qt-4.8/qxmlattributes.html#value-3',0,'QXmlAttributes::value(const QLatin1String &amp;qName) const'],['http://qt-project.org/doc/qt-4.8/qxmlattributes.html#value-4',0,'QXmlAttributes::value(const QString &amp;uri, const QString &amp;localName) const'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#value-prop',0,'QProgressBar::value()'],['http://qt-project.org/doc/qt-4.8/q3rangecontrol.html#value',0,'Q3RangeControl::value()'],['http://qt-project.org/doc/qt-4.8/qsqlfield.html#value',0,'QSqlField::value()'],['http://qt-project.org/doc/qt-4.8/qabstractslider.html#value-prop',0,'QAbstractSlider::value()'],['http://qt-project.org/doc/qt-4.8/q3datatable.html#value',0,'Q3DataTable::value()'],['http://qt-project.org/doc/qt-4.8/qvarlengtharray.html#value',0,'QVarLengthArray::value(int i) const'],['http://qt-project.org/doc/qt-4.8/qvarlengtharray.html#value-2',0,'QVarLengthArray::value(int i, const T &amp;defaultValue) const'],['http://qt-project.org/doc/qt-4.8/qdbusreply.html#value',0,'QDBusReply::value()'],['http://qt-project.org/doc/qt-4.8/q3sqlcursor.html#value',0,'Q3SqlCursor::value(int i) const'],['http://qt-project.org/doc/qt-4.8/q3sqlcursor.html#value-2',0,'Q3SqlCursor::value(const QString &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qsqlrecord.html#value',0,'QSqlRecord::value(int index) const'],['http://qt-project.org/doc/qt-4.8/qsqlrecord.html#value-2',0,'QSqlRecord::value(const QString &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qvector.html#value',0,'QVector::value(int i) const'],['http://qt-project.org/doc/qt-4.8/qvector.html#value-2',0,'QVector::value(int i, const T &amp;defaultValue) const'],['http://qt-project.org/doc/qt-4.8/qscriptvalueiterator.html#value',0,'QScriptValueIterator::value()'],['http://qt-project.org/doc/qt-4.8/qdeclarativepropertymap.html#value',0,'QDeclarativePropertyMap::value()'],['http://qt-project.org/doc/qt-4.8/qcolor.html#value',0,'QColor::value()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattribute.html#value',0,'QXmlStreamAttribute::value()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattributes.html#value',0,'QXmlStreamAttributes::value(const QString &amp;namespaceUri, const QString &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattributes.html#value-2',0,'QXmlStreamAttributes::value(const QString &amp;namespaceUri, const QLatin1String &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattributes.html#value-3',0,'QXmlStreamAttributes::value(const QLatin1String &amp;namespaceUri, const QLatin1String &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattributes.html#value-4',0,'QXmlStreamAttributes::value(const QString &amp;qualifiedName) const'],['http://qt-project.org/doc/qt-4.8/qxmlstreamattributes.html#value-5',0,'QXmlStreamAttributes::value(const QLatin1String &amp;qualifiedName) const'],['http://qt-project.org/doc/qt-4.8/qxmlstreamentitydeclaration.html#value',0,'QXmlStreamEntityDeclaration::value()'],['http://qt-project.org/doc/qt-4.8/qmetaenum.html#value',0,'QMetaEnum::value()'],['http://qt-project.org/doc/qt-4.8/qmetaclassinfo.html#value',0,'QMetaClassInfo::value()'],['http://qt-project.org/doc/qt-4.8/qsqlquery.html#value',0,'QSqlQuery::value()'],['http://qt-project.org/doc/qt-4.8/qsettings.html#value',0,'QSettings::value()'],['http://qt-project.org/doc/qt-4.8/qdbuspendingreply.html#value',0,'QDBusPendingReply::value()'],['http://qt-project.org/doc/qt-4.8/qmap.html#value',0,'QMap::value(const Key &amp;key) const'],['http://qt-project.org/doc/qt-4.8/qmap.html#value-2',0,'QMap::value(const Key &amp;key, const T &amp;defaultValue) const'],['http://qt-project.org/doc/qt-4.8/qmap-iterator.html#value',0,'QMap::iterator::value()'],['http://qt-project.org/doc/qt-4.8/qmap-const-iterator.html#value',0,'QMap::const_iterator::value()'],['http://qt-project.org/doc/qt-4.8/qvariant.html#value',0,'QVariant::value()'],['http://qt-project.org/doc/qt-4.8/qprogressdialog.html#value-prop',0,'QProgressDialog::value()'],['http://qt-project.org/doc/qt-4.8/qnetworkcookie.html#value',0,'QNetworkCookie::value()'],['http://qt-project.org/doc/qt-4.8/qmutablelinkedlistiterator.html#value-2',0,'QMutableLinkedListIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablelinkedlistiterator.html#value',0,'QMutableLinkedListIterator::value() const'],['http://qt-project.org/doc/qt-4.8/qmutablelistiterator.html#value-2',0,'QMutableListIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablelistiterator.html#value',0,'QMutableListIterator::value() const'],['http://qt-project.org/doc/qt-4.8/qmutablevectoriterator.html#value-2',0,'QMutableVectorIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablevectoriterator.html#value',0,'QMutableVectorIterator::value() const'],['http://qt-project.org/doc/qt-4.8/qhashiterator.html#value',0,'QHashIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmapiterator.html#value',0,'QMapIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablehashiterator.html#value-2',0,'QMutableHashIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablehashiterator.html#value',0,'QMutableHashIterator::value() const'],['http://qt-project.org/doc/qt-4.8/qmutablemapiterator.html#value-2',0,'QMutableMapIterator::value()'],['http://qt-project.org/doc/qt-4.8/qmutablemapiterator.html#value',0,'QMutableMapIterator::value() const'],['../classflair_1_1sensor_1_1_laser_range_finder.html#a25d3123e9dad148d90c67277a27d62b3',1,'flair::sensor::LaserRangeFinder::Value()'],['../classflair_1_1sensor_1_1_us_range_finder.html#a60ae45b1dda58e807c07da6754a30683',1,'flair::sensor::UsRangeFinder::Value()'],['../classflair_1_1gui_1_1_check_box.html#a217da5fe57fdb820430b61ed30c6aa18',1,'flair::gui::CheckBox::Value()'],['../classflair_1_1core_1_1cvmatrix.html#aa3a8b1722e62c8929a6533ec4afb9f2e',1,'flair::core::cvmatrix::Value()'],['../classflair_1_1gui_1_1_double_spin_box.html#acdac03928a1c2ac5a2c6dad640ba1f6e',1,'flair::gui::DoubleSpinBox::Value()'],['../classflair_1_1gui_1_1_spin_box.html#a782c198e37c84652f7b001847a360d2c',1,'flair::gui::SpinBox::Value()'],['../classflair_1_1gui_1_1_vector3_d_spin_box.html#a46615af09df922bb839f043542c4693c',1,'flair::gui::Vector3DSpinBox::Value()']]],
   ['value_5ftype',['value_type',['http://qt-project.org/doc/qt-4.8/qset.html#value_type-typedef',0,'QSet::value_type()'],['http://qt-project.org/doc/qt-4.8/qstring.html#value_type-typedef',0,'QString::value_type()'],['http://qt-project.org/doc/qt-4.8/qfuture-const-iterator.html#value_type-typedef',0,'QFuture::const_iterator::value_type()'],['http://qt-project.org/doc/qt-4.8/qlist.html#value_type-typedef',0,'QList::value_type()'],['http://qt-project.org/doc/qt-4.8/q3valuelist.html#value_type-typedef',0,'Q3ValueList::value_type()'],['http://qt-project.org/doc/qt-4.8/qvarlengtharray.html#value_type-typedef',0,'QVarLengthArray::value_type()'],['http://qt-project.org/doc/qt-4.8/qvector.html#value_type-typedef',0,'QVector::value_type()'],['http://qt-project.org/doc/qt-4.8/qlinkedlist.html#value_type-typedef',0,'QLinkedList::value_type()']]],
   ['valuechange',['valueChange',['http://qt-project.org/doc/qt-4.8/q3rangecontrol.html#valueChange',0,'Q3RangeControl']]],